function addSettingsMenuItems(id)
	TriggerEvent("menu:addModuleSubMenu", id, "Change Time", addTimeMenuItems, nil)
	TriggerEvent("menu:addModuleSubMenu", id, "Change Weather", addWeatherMenuItems, nil)
end

function addTimeMenuItems(id)
	TriggerEvent("menu:addModuleItem", id, "Morning", nil, false, function(id, state) setTime(6) end)
	TriggerEvent("menu:addModuleItem", id, "Midday", nil, false, function(id, state) setTime(12) end)
	TriggerEvent("menu:addModuleItem", id, "Evening", nil, false, function(id, state) setTime(18) end)
	TriggerEvent("menu:addModuleItem", id, "Midnight", nil, false, function(id, state) setTime(0) end)
end

function addWeatherMenuItems(id)
	TriggerEvent("menu:addModuleItem", id, "Extra Sunny", nil, false, function(id, state) setWeather("EXTRASUNNY") end)
	TriggerEvent("menu:addModuleItem", id, "Clear", nil, false, function(id, state) setWeather("CLEAR") end)
	TriggerEvent("menu:addModuleItem", id, "Clouds", nil, false, function(id, state) setWeather("CLOUDS") end)
	TriggerEvent("menu:addModuleItem", id, "Overcast", nil, false, function(id, state) setWeather("OVERCAST") end)
	TriggerEvent("menu:addModuleItem", id, "Rain", nil, false, function(id, state) setWeather("RAIN") end)
	TriggerEvent("menu:addModuleItem", id, "Clearing", nil, false, function(id, state) setWeather("CLEARING") end)
	TriggerEvent("menu:addModuleItem", id, "Thunder", nil, false, function(id, state) setWeather("THUNDER") end)
	TriggerEvent("menu:addModuleItem", id, "Smog", nil, false, function(id, state) setWeather("SMOG") end)
	TriggerEvent("menu:addModuleItem", id, "Foggy", nil, false, function(id, state) setWeather("FOGGY") end)
	TriggerEvent("menu:addModuleItem", id, "Xmas", nil, false, function(id, state) setWeather("XMAS") end)
	TriggerEvent("menu:addModuleItem", id, "Light Snow", nil, false, function(id, state) setWeather("SNOWLIGHT") end)
	TriggerEvent("menu:addModuleItem", id, "Blizzard", nil, false, function(id, state) setWeather("BLIZZARD") end)
end

function setWeather(weather)
	SetWeatherTypePersist(weather)
	SetWeatherTypeNowPersist(weather)
	SetWeatherTypeNow(weather)
	SetOverrideWeather(weather)

	drawNotification("~g~Weather changed to " .. weather .. ".")
end

function setTime(time)
	NetworkOverrideClockTime(time, 0, 0)

	drawNotification("~g~Time changed to " .. time .. ":00.")
end