function addPlayerMenuItems(id)
	TriggerEvent("menu:addModuleSubMenu", id, "Change Skin", addPlayerSkins, nil)
	TriggerEvent("menu:addModuleItem", id, "Godmode", false, nil, function(id, state) doSomethingPlayer("god", state) end)
	TriggerEvent("menu:addModuleItem", id, "Unlimited Stamina", false, nil, function(id, state) doSomethingPlayer("stamina", state) end)
	TriggerEvent("menu:addModuleItem", id, "Heal Player", nil, false, function(id, state) doSomethingPlayer("heal", nil) end)
	TriggerEvent("menu:addModuleItem", id, "Add Armor", nil, false, function(id, state) doSomethingPlayer("armor", nil) end)
	TriggerEvent("menu:addModuleItem", id, "Suicide", nil, false, function(id, state) doSomethingPlayer("suicide", nil) end)
end

function doSomethingPlayer(action, state)
	local playerPed = GetPlayerPed(-1)

	if action == "heal" then
		SetEntityHealth(playerPed, 200)
		drawNotification("~g~Player healed.")
	elseif action == "armor" then
		SetPedArmour(playerPed, 100)
		drawNotification("~g~Added armor to Player.")
	elseif action == "suicide" then
		SetEntityHealth(playerPed, 0)
		drawNotification("~g~Killed Player.")
	elseif action == "god" then
		godmode = state
	elseif action == "stamina" then
		stamina = state
	end
end

function addPlayerSkins(id)
	TriggerEvent("menu:addModuleItem", id, "Business Guy", nil, false, function(id, state) changeSkin("a_m_m_business_01") end)
	TriggerEvent("menu:addModuleItem", id, "Fat Latin", nil, false, function(id, state) changeSkin("a_m_m_fatlatin_01") end)
	TriggerEvent("menu:addModuleItem", id, "Hipster", nil, false, function(id, state) changeSkin("a_m_y_hipster_01") end)
end

function changeSkin(model)
	modelHash = GetHashKey(model)
	while not HasModelLoaded(modelHash) do
		Wait(1)
		RequestModel(modelHash)
	end
	SetPlayerModel(PlayerId(), modelHash)
	drawNotification("~g~Changed Player Model.")
end

Citizen.CreateThread(function()
	while true do
		Wait(1)

		local playerPed = GetPlayerPed(-1)
		if playerPed then
			SetEntityInvincible(playerPed, godmode)

			if stamina then
				RestorePlayerStamina(PlayerId(), 1.0)
			end
		end
	end
end)